/*
    term - Terminal functions
    Copyright (C) 2009 Ladislav Vaiz <ok1zia@nagano.cz>
    and authors of web browser links 0.96

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    version 2 as published by the Free Software Foundation.

*/

#include "term.h"

#include <string.h>

int term_setraw(int fd, struct termios *old_termios)
{
    struct termios tio;

    memset(&tio, 0, sizeof(struct termios));
    if (tcgetattr(fd, &tio)) return -1;
    if (old_termios) memcpy(old_termios, &tio, sizeof(struct termios));
    cfmakeraw(&tio);
/*    tio.c_lflag |= ISIG;
#ifdef TOSTOP
    tio.c_lflag |= TOSTOP;
#endif
    tio.c_oflag |= OPOST;*/
    if (tcsetattr(fd, TCSANOW, &tio)) return -1;
    return 0;
}   

int term_restore(int fd, struct termios *tio){
    return tcsetattr(fd, TCSANOW, tio);
}
