/*
    zmem - Memory operations
    Copyright (C) 2009 Ladislav Vaiz <ok1zia@nagano.cz>

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    version 2 as published by the Free Software Foundation.

*/

#include <stdlib.h>
#include <string.h>

#include "error.h"
#include "zmem.h"

void *zf_malloc0(int len){
    void *d;

    d = z_malloc(len);
    memset(d, 0, len);
    return d;
}

void *zf_malloc(int len){
    void *a = malloc(len);
    dbg("%p malloc(%d)\n", a, len);
    return a; 
}

void zf_free(void *a){
    free(a);
    dbg("%p free()\n", a);
}
