/*
    zmem - Memory operations
    Copyright (C) 2009 Ladislav Vaiz <ok1zia@nagano.cz>

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    version 2 as published by the Free Software Foundation.

*/

#ifndef __ZMEM_H
#define __ZMEM_H

#include "config.h"

#define z_new0(type) (type *)zf_malloc0(sizeof(type))

void *zf_malloc0(int len);
void *zf_malloc(int len);
void zf_free(void *a);

#endif
