/*
    rc - config file functions
    Copyright (C) 2007-2009 Ladislav Vaiz <ok1zia@nagano.cz>

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    version 2 as published by the Free Software Foundation.

*/

#ifndef __RC_H
#define __RC_H

extern struct rcitem cfg;

struct rcitem {
    struct rcitem *next;  
    struct rcitem *prev;
	char *key;
	char *value;
};

int read_rc_file(char *filename);
int read_rc_files(char *name);
char *rc_getopt(char *key);
void rc_info(void);

char *rc_str(char *key, char *def);
int rc_int(char *key, int def);
//int rc_double(char *key, double def);
char *rc_strn(char *key, int n, char *def);
int rc_intn(char *key, int n, int def);


#endif
