/*
    zlibebuf - linebuffer functions
    Copyright (C) 2007-2009 Ladislav Vaiz <ok1zia@nagano.cz>

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    version 2 as published by the Free Software Foundation.

*/

#ifndef __ZLINEBUF_H
#define __ZLINEBUF_H

#include "config.h"

#include "zstring.h"

struct zlinebuf {
    int size;
    char *str;
};

struct zlinebuf *zlb_new(int size);
void zlb_free(struct zlinebuf *zlb);
void zlb_truncate(struct zlinebuf *zlb);
void zlb_append(struct zlinebuf *zlb, const char *str);
int zlb_append_fd(struct zlinebuf *zlb, int fd, int toread);
struct zstring *zlb_get_line(struct zlinebuf *zlb);
    
#endif
